This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 20235 - serial console install problem
serial console install problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-02 14:17 EST by Need Real Name
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-03 14:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-02 14:17:10 EST
Hi, I've gotten a serial console install working rather well except
for one problem.  After the post-install runs the "Congratulations
your installation is now complete" window takes 15 minutes to write
to the screen.  It prints out bursts of 8-10 characters then hangs,
then prints 8-10 more characters.  Once the message is written to the
screen I can type "return" to reboot and it takes another 15 minutes
to clear the screen (8-10 characters at a time).  Once the screen is 
cleared the machine reboots.  The machine boots up ok using the serial
console until kudzu starts and the same behavior is repeated.  Once
the machine is up I can edit /etc/rc.d/init.d/kudzu to start kudzu
with "-s" to keep it from probing the serial port and it will reboot
normally after that.  

Is there a reason for the install to check for new hardware or probe
all the devices after the post install?  Is there any way to disable
this behavior?  The serial console install would work great if it wasn't
for this 30 minutes of waiting.  Of course I can reset the machine during
this time and it will reboot and work fine but this doesn't seem like
great idea.

Here is the setup I am using, using ttyS0 as the console:

Add: serial=0,38400n8 and delay=20 lines to /etc/lilo.conf

Add: "S0:2345:respawn:/sbin/getty ttyS0 DT38400 vt100" to /etc/inittab

Add: ttyS0 to /etc/securetty

Link /dev/console to /dev/ttyS0

In kickstart file: 
lilo --append "console=ttyS0,38400 console=tty0" --location mbr'

Also console=ttyS0 entries in syslinux.cfg.

Thanks
-Dan
Comment 1 Michael Fulbright 2000-11-03 14:58:39 EST
This is a kudzu issue I think we have resolved in Red Hat Linux 7.
Comment 2 Bill Nottingham 2000-11-03 15:14:52 EST
Correct. It was not resetting the serial terminal settings
correctly.

Note You need to log in before you can comment on or make changes to this bug.